/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#if !defined(AFX_SPLITCHILDFRAME_H__93258520_D6F1_4132_BC43_E9CBF8169554__INCLUDED_)
#define AFX_SPLITCHILDFRAME_H__93258520_D6F1_4132_BC43_E9CBF8169554__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "UISplitterWnd.h"

/////////////////////////////////////////////////////////////////////////////
// CSplitChildFrame フレーム

class CSplitChildFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CSplitChildFrame)
protected:
	CSplitChildFrame();           // 動的生成に使用されるプロテクト コンストラクタ。

// アトリビュート
public:
	CDocument* GetDoc();

// オペレーション
public:

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します

	//{{AFX_VIRTUAL(CSplitChildFrame)
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	CUISplitterWnd m_wndSplitter;

	//indicates if currently standard view is splitted or not.
	BOOL m_bIsSplit;//True:splitted, False: not splitted.

	virtual ~CSplitChildFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSplitChildFrame)
	afx_msg void OnClose();
	afx_msg void OnFrameSplit();
	afx_msg void OnUpdateFrameSplit(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_SPLITCHILDFRAME_H__93258520_D6F1_4132_BC43_E9CBF8169554__INCLUDED_)
